import 'dart:convert';
import 'dart:typed_data';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:gertec_tsg800/config_tsg800/barCode.dart';
import 'package:gertec_tsg800/config_tsg800/configString.dart';
import 'package:gertec_tsg800/gertec_tsg800.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  //Reponsavel por fazer a conversão de uma imagem das pastas assets, para um codigo na base 64.
  Future<String> transformarbase64(String assetPath) async {
    ByteData bytes = await rootBundle.load(assetPath);
    var buffer = bytes.buffer;
    var m = base64.encode(Uint8List.view(buffer));
    return m;
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example GPOS800'),
        ),
        body: Center(
          child: Column(
            children: <Widget>[
              RaisedButton(
                child: Text("Imprimir Texto"),
                onPressed: () {
                  GertecTsg800.imprimirTexto(
                      texto: "Gertec", alinhamento: Alinhamento.direita);
                },
              ),
              RaisedButton(
                child: Text("Imprimir Codigo de Barra"),
                onPressed: () {
                  GertecTsg800.imprimirCodigoDeBarra(
                      texto: "Gertec", codeType: TipoCodigoImpressao.qrCode);
                },
              ),
              RaisedButton(
                child: Text("Gravar no Cartão"),
                onPressed: () {
                  GertecTsg800.gravarCartao(mensagemGravar: "GERTEC");
                },
              ),
              RaisedButton(
                child: Text("Ler Cartão"),
                onPressed: () {
                  GertecTsg800.lerCartao.then(
                    (onValue) {
                      print(onValue);
                    },
                  );
                },
              ),
              RaisedButton(
                child: Text("Ler Codigo de Barra"),
                onPressed: () {
                  GertecTsg800.leitorCodigoDeBarra(
                          tipoLeitura: TipoCodigoLeitura.qrCode)
                      .then((onValue) {
                    print(onValue);
                  });
                },
              ),
              RaisedButton(
                child: Text("Imprimir Imagem"),
                onPressed: () {
                  transformarbase64("assets/rock.png").then((onValue) {
                    print(onValue);
                    GertecTsg800.imprimirImagem(codigobase64: onValue);
                  });
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
