/// Classe para determinar o tipo de codigo de barras que vai ser se utilizado na formatação da impressão [GertecTsg800.imprimirCodigoDeBarra].
class TipoCodigoImpressao {
  final String tipoCodigoImpressao;
  const TipoCodigoImpressao(this.tipoCodigoImpressao);
  static TipoCodigoImpressao ean_8 = TipoCodigoImpressao("EAN_8");
  static TipoCodigoImpressao ean_13 = TipoCodigoImpressao("EAN_13");
  static TipoCodigoImpressao qrCode = TipoCodigoImpressao("QR_CODE");
  static TipoCodigoImpressao pdf417 = TipoCodigoImpressao("PDF_417");
  static TipoCodigoImpressao code_128 = TipoCodigoImpressao("CODE_128");
  get getTipoCodigoImpressaoName => tipoCodigoImpressao;
}

/// Classe para determinar o tipo de codigo de barras que vai ser se lido pelo [GertecTsg800.leitorCodigoDeBarra].
class TipoCodigoLeitura {
  final String tipoCodigoLeitura;
  const TipoCodigoLeitura(this.tipoCodigoLeitura);
  static TipoCodigoLeitura ean_8 = TipoCodigoLeitura("EAN_8");
  static TipoCodigoLeitura ean_13 = TipoCodigoLeitura("EAN_13");
  static TipoCodigoLeitura ean_14 = TipoCodigoLeitura("EAN_14");
  static TipoCodigoLeitura qrCode = TipoCodigoLeitura("QR_CODE");
  get getTipoCodigoLeituraName => tipoCodigoLeitura;
}
